/* ReSCAL - regenesis
 *
 * Copyright (C) 2011
 *
 * Author: Olivier Rozier <rozier@ipgp.fr>
 *
 * This file is part of ReSCAL.
 *
 * ReSCAL is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

//#define MODELE_CMB
#define MODELE_DUN
//#define MODELE_ICB
//#define MODELE_RIV
//#define MODELE_RIV2
//#define MODELE_CHE
//#define MODELE_DUM
//#define MODELE_CRI

#ifdef MODELE_DUN

#define GR    0 //grain stable
#define GRJ   1 //grain instable jeune
#define GRV   2 //grain instable vieux
#define EAUC  3 //eau
#define EAUT  4 //turbulence
#define BORD  5 //bord
#define DUM   6 //inerte
#define IN    7 //source de grain
#define OUT   8 //sortie de grain
#define TUNNEL 9 //tunnel vers une terre parallele

#else

#define PLUS  0
#define ZERO  1
#define MOINS 2
#define BORD  3
#define DUM   4
#define META  5
#define AIR   6
#define PIERRE 7

#endif

typedef struct cellule{
        unsigned char celldata;
} Cell;
